Update password with reset token
PUT
/customers/password
Updates a customer's password using a reset token.
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Parameters
Header Parameters
X-Nimbu-Site*
Site identifier
Typestring
RequiredRequest Body
application/json
JSON
{
"customer": {
"reset_password_token": "string",
"password": "string",
"password_confirmation": "string"
}
}
Responses
password updated
application/json
JSON
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"firstname": "string",
"lastname": "string",
"email": "string",
"language": "string",
"number": "string",
"slug": "string",
"status": "string",
"groups": [
"string"
],
"url": "string",
"confirmation_token": "string",
"last_activity_at": "string",
"roles": [
"string"
],
"additionalProperties": "string"
}